# 1. Including the SDK

## Flutter

Install the Sentiance Core plugin, by running the following command in your terminal, inside the project directory:

```bash
flutter pub add sentiance_core
```

The module should now be added to your project's **pubspec.yaml** file.

{% code title="pubspec.yaml" %}

```yaml
dependencies:
  flutter:
    sdk: flutter
  sentiance_core: ^6.9.0
  ...
```

{% endcode %}

## Native

Before moving forward, please ensure you follow the instructions tailored to your platform.

### iOS Setup

Execute the `pod install` command to check for any issues. If you encounter an error resembling:

```
-> Installing sentiance_plugin (0.0.1)
  - Running pre install hooks
[!] The 'Pods-Runner' target has transitive dependencies that include 
statically linked binaries: (/path/to/flutter-app/ios/Pods/SENTSDK/SENTSDK.xcframework)
```

Instruct CocoaPods to statically link these frameworks rather than dynamically by updating the Podfile with:

```ruby
target 'Runner' do
  use_frameworks! :linkage => :static
  ...
```

### Android setup

Add the Sentiance maven repository to the **build.gradle** file in your project's **android** directory:

{% code title="android/build.gradle" %}

```groovy
allprojects {
    repositories {
        ...
        maven { url "https://repository.sentiance.com" }
    }
}
```

{% endcode %}

This will allow Gradle to find and download the necessary native Sentiance SDK libraries.

### Feature Packages

Similar to the [Android's Artifacts](/important-topics/sdk/appendix/android/artifacts-and-dependencies.md) you can install the Flutter plugins based on the features you would want to use your application. Following are the packages available:

```dart
sentiance_core
sentiance_user_context
sentiance_event_timeline
sentiance_driving_insights
sentiance_crash_detection
sentiance_smart_geofences
```

Contact [support](mailto:support@sentiance.com) to learn more about which features (and packages) best suit your use-case.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/a-complete-integration/flutter-quick-start/include-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
